当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 23 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 7:41 

注册: 2009-11-07 19:24
帖子: 451
送出感谢: 0 次
接收感谢: 1
Google Earth不再支持Linux平台? 根据最近的反馈,该软件安装进系统后无法运行,开启即崩溃。受影响的Linux发行版包括但不限于ubuntu 9.04, 9.10, 10.04, Fedora 12, 13, openSUSE 11.3 RC1, gentoo。很明显,Google在放出新版本之前,没有进行linux平台的测试工作,可以认为已经放弃支持。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 7:55 
头像

注册: 2009-10-20 21:13
帖子: 2089
地址: Pacific Western University
送出感谢: 0 次
接收感谢: 7
标题党? 在天国上朝,google earth即将被墙倒是真的:

http://www.infzm.com/content/46960


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 8:02 
头像

注册: 2010-05-23 20:44
帖子: 1665
系统: Ubuntu
送出感谢: 8
接收感谢: 22
我安装的google earth还是好好的。5.1.3535.3218


_________________
师大生信者:http://bnuzhutao.cn


页首
 用户资料  
 
4 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 8:24 
头像

注册: 2009-05-16 8:47
帖子: 2753
送出感谢: 0 次
接收感谢: 2
hasee.wu 写道:
在天国上朝,google earth即将被墙倒是真的


_________________
“飞达”——武汉理工大学开源技术协会http://vedaclub.org/


页首
 用户资料  
 
5 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 8:25 

注册: 2009-11-07 19:24
帖子: 451
送出感谢: 0 次
接收感谢: 1
我去google earth论坛看了,都快闹翻了,呵呵。提意见的大多用ubuntu,也有几个用fedora的,其它发行版大多在自己论坛上询问为什么crash。我看了一下log,内容基本一样,说明不是针对特定版本才有的bug。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 8:27 
头像

注册: 2009-05-16 8:47
帖子: 2753
送出感谢: 0 次
接收感谢: 2
linmalth 写道:
我去google earth论坛看了,都快闹翻了,呵呵。提意见的大多用ubuntu,也有几个用fedora的,其它发行版大多在自己论坛上询问为什么crash。我看了一下log,内容基本一样,说明不是针对特定版本才有的bug。

我刚才还试了,可以用啊~


_________________
“飞达”——武汉理工大学开源技术协会http://vedaclub.org/


页首
 用户资料  
 
7 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 8:57 
头像

注册: 2007-06-13 15:57
帖子: 12639
地址: 在他乡
送出感谢: 53
接收感谢: 90
引用:
ubuntu 9.04, 9.10, 10.04
正常无比


页首
 用户资料  
 
8 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 9:00 

注册: 2009-11-07 19:24
帖子: 451
送出感谢: 0 次
接收感谢: 1
楼上两位是新下的5.2版本测试的吗?


页首
 用户资料  
 
9 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 9:09 

注册: 2009-11-07 19:24
帖子: 451
送出感谢: 0 次
接收感谢: 1
http://www.google.com/support/forum/p/e ... 7ed1&hl=en
这里面记录的问题似乎与QT库有关。当然,从Medibuntu安装的可能没问题,我还没测过。我从google官方下载的安装包,装完后给出的crash log内容也一样,都是: 我也看不出问题出在哪。
代码:
Major Version 5
Minor Version 2
Build Number 0001
Build Date Jun 10 2010
Build Time 16:15:55
OS Type 3
OS Major Version 2
OS Minor Version 6
OS Build Version 32
OS Patch Version 0
Crash Signal 6
Crash Time 1278111118
Up Time 11.6317

Stacktrace from glibc:
./libgoogleearth_free.so(+0xd030b)[0x90930b]
[0x5c6400]
/lib/tls/i686/cmov/libc.so.6(abort+0x182)[0x5f4a82]
/usr/lib/dri/i915_dri.so(+0x237bf)[0x74bf7bf]
/usr/lib/dri/i915_dri.so(+0x50802)[0x74ec802]
/usr/lib/dri/i915_dri.so(+0x21ab9)[0x74bdab9]
/usr/lib/mesa/libGL.so.1(+0x3d939)[0xd41939]
/usr/lib/mesa/libGL.so.1(+0x1a18b)[0xd1e18b]
/usr/lib/mesa/libGL.so.1(+0x1576a)[0xd1976a]
/usr/lib/mesa/libGL.so.1(glXChooseVisual+0x36)[0xd1a566]
./librender.so(+0x4d673)[0xc11673]
./librender.so(_ZN12RenderWidget4initEv+0x116)[0xc12056]
./librender.so(_ZN12RenderWidgetC1EP7QWidgetPKc6QFlagsIN2Qt10WindowTypeEE+0x16c)[0xc12eac]
./librender.so(_ZN5earth6render12RenderWindow12createWidgetEv+0x82)[0xbf5432]
./libgoogleearth_free.so(_ZN5earth6client12ModuleWidget9showEventEP10QShowEvent+0x94)[0x8e62d4]
./libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0xabb)[0xffe7ef]
./libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xa0)[0xfaee20]
./libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x16f)[0xfb88a3]
./libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x70)[0x249d50]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0xcc)[0x100155c]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x74)[0x1001264]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1f2)[0x1001482]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0x1001a97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0x1001469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x74)[0x1001264]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1f2)[0x1001482]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0x1001a97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0x1001469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveEv+0x74)[0x1001264]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1f2)[0x1001482]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0x1001a97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0x1001469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0x1001a97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0x1001469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0x1001a97]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x1d9)[0x1001469]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x45)[0x10014d5]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x33b)[0x1001a97]
./libQtGui.so.4(_ZN7QWidget10showNormalEv+0x4a)[0xff1e9e]
./libgoogleearth_free.so(_ZN10MainWindow18readScreensizeInfoEv+0xc35)[0x8ce225]
./libgoogleearth_free.so(_ZN5earth6client11Application12SetupMainWinENS0_3Kvw7ProductEb+0x29e)[0x90d61e]
./libgoogleearth_free.so(_ZN5earth6client11Application3runEv+0x42f)[0x91447f]
./libgoogleearth_free.so(earthmain+0x27d)[0x90873d]
./googleearth-bin(_init+0x122)[0x80486c2]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe6)[0x5ddbd6]
./googleearth-bin(_init+0x91)[0x8048631]


页首
 用户资料  
 
10 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 9:40 
头像

注册: 2008-03-25 15:49
帖子: 25878
地址: 谁知道?
送出感谢: 8
接收感谢: 10
debian的是用不了...


页首
 用户资料  
 
11 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 9:45 
头像

注册: 2008-11-21 20:26
帖子: 36913
送出感谢: 1
接收感谢: 36
不玩那个,手机上有google map,吼吼~~


_________________
讨厌我的人可以试着点一下
浏览全部ubuntu技巧


页首
 用户资料  
 
12 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 10:57 

注册: 2009-11-07 19:24
帖子: 451
送出感谢: 0 次
接收感谢: 1
pocoyo 写道:
debian的是用不了...

仁兄在lenny上测过了吗?是一样的问题还是有区别的?


页首
 用户资料  
 
13 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 13:25 

注册: 2008-11-13 16:03
帖子: 817
送出感谢: 0 次
接收感谢: 0 次
google earth 据说很强大,但是我没用过。。。。。。

表示关注


_________________
HP ProBook4321s,I3+ATI
OS : Fedora + Debian

http://box-look.org/


页首
 用户资料  
 
14 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 13:58 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 274
web版本多好。何必折腾。

我都废弃qt了。


_________________
● 鸣学


页首
 用户资料  
 
15 楼 
 文章标题 : Re: Google Earth不再支持Linux平台
帖子发表于 : 2010-07-03 14:05 

注册: 2008-01-09 22:41
帖子: 18311
送出感谢: 0 次
接收感谢: 6
看来是qt问题


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 23 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Youdao FeedFetcher 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译